package benefactorrefertimehandler

import (
	"git.gocasts.ir/ebhomengo/niki/delivery/http_server/middleware"
	"git.gocasts.ir/ebhomengo/niki/entity"
	"github.com/labstack/echo/v4"
)

func (h Handler) SetRoutes(e *echo.Echo) {
	r := e.Group("/benefactors/refer-times")

	r.Use(
		middleware.Auth(h.authSvc),
		middleware.BenefactorAuthorization(entity.UserBenefactorRole),
	)

	r.GET("", h.GetAll)
}
